ABAQUS_Stress_Distribution_Data;
d = 1;
bending = @(x,p1,p2) p1+(p2-p1)./(0.5).*x;
l = 0:0.01:1;

for i = 1:3
    if i == 1
        stress = twoD_60;
        threeStress = threeD_60;
        tit = '60';
    elseif i == 2
        stress = twoD_80;
        threeStress = threeD_80;
        tit = '80';
    elseif i == 3
        stress = twoD_100;
        threeStress = threeD_100;    
        tit = '100';
    end
    sz = size(stress);
    sz = sz(1);
    len = round(sz)-1;
    stress = [60,80,100];
    sz = size(threeStress);
    sz = sz(1);
    len = round(sz)-1;
    a= polyfit(threeStress(1:len/2,1)./d,threeStress(1:len/2,2),1);
    yThreeTens = a(2)+a(1).*0.5;
    yThreeBend = a(2)+a(1).*l-yThreeTens;
    
    fill = ones(1,length(l));
    style = {'-b','*b','-r','or','--k','sk'};
    
    %plot(l,fill.*yThreeTens./stress(i),'--b',threeStress(:,1)/d,threeStress(:,2)./stress(i),'-k')
    plot(threeStress(:,1)/d,threeStress(:,2)./stress(i),style{2*i});
    hold on
    plot(l,(fill.*yThreeTens+yThreeBend)./stress(i),style{2*i-1},'LineWidth',1.3);     %plot(l,(fill.*yTwoTens+yTwoBend),'b',l,(fill.*yThreeTens+yThreeBend),'r')
    
    
    axisMax = max(threeStress(:,2))+10;
    axisMin = -axisMax/2 ;%min(threeStress(1:len/2,2));


    axis([0 1 -5 5])   

end
legend('Tension','3D','Sum','Location','southwest');
title(strcat('Stress Decomposition, normalized'));
xlabel('[y/d]','FontSize',14)
ylabel('\sigma/\sigma_0','FontSize',18);
grid on
legend('3D, 60MPa','Sum, 60MPa','3D, 80MPa','Sum, 80MPa','3D, 100MPa','Sum, 100MPa','Location','southwest');

% 
% 
% 
% 
% d = 76;
% l = 0:0.01:0.5;
% subplot(1,3,1)
% plot(l, bending(l,twoD_60
% twoD_60(:,1)./d,twoD_60(:,2),threeD_60(:,1)./d,threeD_60(:,2))
% set(gca,'fontsize',13)
% xlabel('Normalized depth [y/d]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axisMin = -max(twoD_60(:,2));
% axisMax = max(twoD_60(:,2))+10;
% axis([0 1 axisMin axisMax])
% %axis([0 76 min(twoD_60(:,2)) max(twoD_60(:,2))])
% legend('2D','3D','Location','southwest')
% title('60MPa')
% 
% subplot(1,3,2)
% plot(twoD_80(:,1)./d,twoD_80(:,2),threeD_80(:,1)./d,threeD_80(:,2))
% set(gca,'fontsize',13)
% xlabel('Normalized depth [y/d]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axisMin = -max(twoD_80(:,2));
% axisMax = max(twoD_80(:,2))+10;
% axis([0 1 axisMin axisMax])
% legend('2D','3D','Location','southwest')
% title('80MPa')
% 
% subplot(1,3,3)
% plot(twoD_100(:,1)./d,twoD_100(:,2),threeD_100(:,1)./d,threeD_100(:,2))
% set(gca,'fontsize',13)
% xlabel('Normalized depth [y/d]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axisMin = -max(twoD_100(:,2));
% axisMax = max(twoD_100(:,2))+10;
% axis([0 1 axisMin axisMax])
% legend('2D','3D','Location','southwest')
% title('100MPa')
% %axis([0 76 min(twoD_100(:,2)) max(twoD_100(:,2))])
% 
% 
% 
% 
% % ABAQUS_Stress_Distribution_Data;
% % 
% % 
% % subplot(2,3,1)
% % plot(twoD_60(:,1),twoD_60(:,2))
% % set(gca,'fontsize',13)
% % xlabel('Depth, [mm]')
% % ylabel('Stress, S11 [MPa]')
% % grid on
% % axis([0 76 min(twoD_60(:,2)) max(twoD_60(:,2))])
% % 
% % subplot(2,3,2)
% % plot(twoD_80(:,1),twoD_80(:,2))
% % set(gca,'fontsize',13)
% % xlabel('Depth, [mm]')
% % ylabel('Stress, S11 [MPa]')
% % grid on
% % axis([0 76 min(twoD_80(:,2)) max(twoD_80(:,2))])
% % 
% % subplot(2,3,3)
% % plot(twoD_100(:,1),twoD_100(:,2))
% % set(gca,'fontsize',13)
% % xlabel('Depth, [mm]')
% % ylabel('Stress, S11 [MPa]')
% % grid on
% % axis([0 76 min(twoD_100(:,2)) max(twoD_100(:,2))])
% % 
% % 
% % 
% % 
% % 
% % subplot(2,3,4)
% % plot(threeD_60(:,1),threeD_60(:,2))
% % set(gca,'fontsize',13)
% % xlabel('Depth, [mm]')
% % ylabel('Stress, S11 [MPa]')
% % grid on
% % axis([0 76 min(threeD_60(:,2)) max(threeD_60(:,2))])
% % 
% % subplot(2,3,5)
% % plot(threeD_80(:,1),threeD_80(:,2))
% % set(gca,'fontsize',13)
% % xlabel('Depth, [mm]')
% % ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(threeD_80(:,2)) max(threeD_80(:,2))])
% 
% subplot(2,3,6)
% plot(threeD_100(:,1),threeD_100(:,2))
% set(gca,'fontsize',13)
% xlabel('Depth, [mm]')
% ylabel('Stress, S11 [MPa]')
% grid on
% axis([0 76 min(threeD_100(:,2)) max(threeD_100(:,2))])