global D

p1 =      -255.9;%  (-377.5, -134.3)
p2 =       403.6;%  (232.4, 574.9)
p3 =      -238.2;%  (-328.4, -148)
p4 =       70.98;%  (49.1, 92.86)
p5 =      -8.758;%  (-11.16, -6.356)
p6 =       2.935;%  (2.842, 3.029)
Chain_C_E = @(x) p1.*(x/D).^5 + p2.*(x/D).^4 + p3.*(x/D).^3 +...
    p4.*(x/D).^2 + p5.*(x/D) + p6;


% % % PROPAGATION THROUGH CHAIN LINK STARTING FROM ELLIPTICAL CRACK
p1 =       668.6;%  (340.7, 996.6)
p2 =       -1073;%  (-1537, -609.2)
p3 =       652.5;%  (407.4, 897.7)
p4 =      -168.5;%  (-228.1, -109)
p5 =       14.75;%  (8.239, 21.25)
p6 =       3.063;%  (2.811, 3.316)
Chain_E_E = @(x) p1.*(x/D).^5 + p2.*(x/D).^4 + p3.*(x/D).^3 +...
    p4.*(x/D).^2 + p5.*(x/D) + p6;



% % % Start growth elliptical, from side
% a..*exp(-b..*(x./D))+c+d..*(x./D)..^3
a =       3.918;%  (0.9601, 6.876)
b =         577;%  (252.2, 901.8)
c =        1.98;%  (-2.227e+06, 2.227e+06)
d =       1.728;%  (-2.227e+06, 2.227e+06)
e =     0.01172;%  (-8.489e+05, 8.489e+05)
f =      -3.185;%  (-1.471e+06, 1.471e+06)
g =      -5.743;%  (-1.721e+04, 1.72e+04)
h =       24.42;%  (-83.18, 132)
ES_Side = @(x) a.*exp(-b.*(x/D))+c+d.*exp(e.*(x/D))+...
    f.*(x/D)+g.*(x/D).^2+h.*(x/D).^3;


a =      0.8693;%  (0.7776, 0.9611)
b =       26.83;%  (21.4, 32.26)
c =       2.361;%  (2.238, 2.484)
d =       1.515;%  (0.3511, 2.678)
e =       2.413;%  (2.367, 2.46)
f =      -218.6;%  (-228.4, -208.8)
g =      -1.181;%  (-4.724, 2.363)
h =       7.491;%  (4.026, 10.96)
CS_Side = @(x) a.*exp(-b.*(x/D))+c+d.*(x/D)+...
    e.*exp(f.*(x/D))+g.*(x/D).^2+h.*(x/D).^3;

% % % Start growth circular, from bottom
a =        2.41;%  (2.222, 2.597)
b =       248.7;%  (227.5, 269.9)
c =       2.919;%  (2.883, 2.954)
d =      -8.336;%  (-9.317, -7.356)
e =       67.28;%  (57.36, 77.2)
f =      -223.6;%  (-268.3, -178.8)
g =         377;%  (285.8, 468.2)
h =      -237.7;%  (-306.2, -169.3)
CS_Bot = @(x) a.*exp(-b.*(x/D))+c+d.*(x/D)+e.*(x/D).^2+f.*(x/D).^3+...
    g.*(x/D).^4+h.*(x/D).^5;

% % % Start growth circular, from enc              
p1 =  -1.516e+05;
p2 =   3.273e+05; 
p3 =   -2.92e+05;
p4 =   1.388e+05;
p5 =  -3.762e+04;
p6 =        5748;
p7 =      -441.7;
p8 =       11.87;
p9 =       2.677;
CS_Enc = @(x) p1.*(x./D).^8 + p2.*(x./D).^7 + p3.*(x./D).^6 +...
    p4.*(x./D).^5 + p5.*(x./D).^4 + p6.*(x./D).^3 +...
    p7.*(x./D).^2 + p8.*(x./D) + p9;



% p1 =   8.556e+05
% p2 =  -2.126e+06
% p3 =   2.242e+06 
% p4 =  -1.307e+06  
% p5 =   4.582e+05 
% p6 =  -9.858e+04 
% p7 =   1.265e+04 
% p8 =        -875 
% p9 =       25.03 
% p10 =       2.538 

% f = @(x) p1*x^9 + p2*x^8 + p3*x^7 + p4*x^6 + p5*x^5 + p6*x^4 + p7*x^3 + p8*x^2 + p9*x + p10;