clear all
clc
global D 
D = 0.01;


getNotchFunctions;
% % % Input parameters
% Geometry
notch = 0.001;

% Crack Growth
C = 17.5*10^-12;
m = 3;
Kth = 0;

% Loading
S = 100;



% ID indicates which configuartions will be added to the plot. 
ID = [1,2,3];
% % Style definitions

legend_names = {};
% % Looping function initializer
Cycles_Step = [];
Cycles_Cum = 0;
Cycles_Max = [];


% % % Crack
num_steps = 10; % How many intervals will be plotted
ai_init = 0.0002; % Initial crack depth
af = 0.005; % Final crack depth
af_init = af;
% step = (af-ai)/num_steps; 
% crack_array = ai:step:af;
line_styles = {};
count = 1;
for j =1:length(ID)
    if ID(j) == 1
        coreFun = T_side;
        legend_names{count} = 'Tension, Side';
        line_styles{count} = '-bo';
        count = count + 1;
    elseif ID(j) == 2
        coreFun = T_bot;
        legend_names{count} = 'Tension, Bot';
        line_styles{count} = '-r+';
        count = count + 1;
    elseif ID(j) == 3
        coreFun = T_enc;
        legend_names{count} = 'Tension, Enclosed';
        line_styles{count} = '-ks';
        count = count + 1;  
    elseif ID(j) == 4
        coreFun = B_side;
        legend_names{count} = 'Bending, Side';
        line_styles{count} = '--bo';
        count = count + 1;
    elseif ID(j) == 5
        coreFun = B_bot;
        legend_names{count} = 'Bending, Bot';
        line_styles{count} = '--r+';
        count = count + 1;        
    elseif ID(j) == 6
        coreFun = B_enc;
        legend_names{count} = 'Bending, Enclosed';
        line_styles{count} = '--ks';
        count = count + 1;    
    elseif ID(j) == 7
        coreFun = sum_side;
        legend_names{count} = 'Sum, Side';
        line_styles{count} = '-bo';
        count = count + 1;  
    elseif ID(j) == 8
        coreFun = sum_bot;
        legend_names{count} = 'Sum, Bot';
        line_styles{count} = '-r+';
        count = count + 1;  
    elseif ID(j) == 9
        coreFun = sum_enc;
        legend_names{count} = 'Sum, Enclosed';
        line_styles{count} = '-ks'
        count = count + 1;  
    end
    if ID(j) == 3 || ID(j) == 6 || ID(j) == 9
        if ai<notch
            ai = ai_init + notch;
            af = af_init;
        end
    else
        ai = ai_init;
    end
    
    step = (af-ai)/num_steps; 
    crack_array = ai:step:af;
    
    for i = 2:length(crack_array)
        funEq = @(x) 1./...
            (C.*...
            ((S.*sqrt(pi.*x).*...
            (coreFun(x)))-Kth).^m);
        
        Cycles_quadgk = quadgk(funEq, crack_array(i-1), crack_array(i));
        Cycles_Step = [Cycles_Step, Cycles_quadgk];
    end
    Cycles_Cum = [0,cumsum(Cycles_Step)];
    Cycles_Max = [Cycles_Max, Cycles_Cum(length(Cycles_Cum))];
    plot(Cycles_Cum,crack_array./D,line_styles{j},'LineWidth',1.2)
    % % Reinitialize
    Cycles_Cum = 0;
    Cycles_Step = [];
    hold on
end

grid on
xlabel('Number of Cycles','FontSize',13)
ylabel('Crack Depth, a/D','FontSize',15)
title('Life Estimates for Crack Configurations','FontSize',14)
leg = legend(legend_names,'Location','southeast');
set(leg,'FontSize',13);

diff_percent_biggest = (max(Cycles_Max)-Cycles_Max)./max(Cycles_Max).*100
