clear
clc
global D 
D = 0.076;

% Imports the anonymous functions for the geometry functions. 
getNotchFunctions;
getFullFunctions;

% Crack Growth
C = 17.5*10^-12;
m = 3;

% m = 3.44;
% C = 4.0*10^-12;
% ID indicates which configuartions will be added to the plot. 
ID = [7,8,9,10];
% % Style defintiions
% line_styles = {'-b','-r','-k','--b','--r','--k','-.b','-.r','-.'}; % Only
% Lines
line_styles = {'bo','r+','ks','bx','rp','k^','b>','r<','h'}; % Only dots

% line_styles = {'-bo','-r+','-ks','--bx','--rp','--k^','-.b>','-.r<','-.h'};

legend_names = {};
% % Looping function initializer
Cycles_Step = [];
Cycles_Cum = 0;
Cycles_Max = [];


% Loading
S = 100;
load_array = [50:10:100];


% % % Crack
ai = [0.0002:0.0001:0.0005];
points = [];
count2 = 1;
count3 = 1;
% % % BSI 7910 & 
mBSI = 3.44; 
aD=4.0*10^12;
bsi7910 = @(x) (aD).*x.^(-mBSI);
loglog(bsi7910(load_array),load_array,'-b','LineWidth',1.2);
legend_names{1} = 'BSI 7910';
% % % DNV STUDLESS 
aD =(6*10^10);
% mDNV = 3.0;
% dnvStudless = @(x) (aD).*x.^(-mDNV);
% loglog(dnvStudless(load_array),load_array,'-b','LineWidth',1.2);
% legend_names{1} = 'DNV Studless';
hold on
for z = 1:length(load_array)
    for k = 1:length(ai)
        num_steps = 20; % How many intervals will be plotted
        af = 0.038; % Final crack depth            
        count = 2;
        for j =1:length(ID)
            step = (af-ai(k))/num_steps; 
            if ID(j) == 10 && ai(k)./D<0.02
                ai_tmp = ai(k)+10^-3;
                crack_array = ai_tmp:step:af;
            else
                crack_array = ai(k):step:af;
            end
            
            if ID(j) == 1
                coreFun = T_side;
                legend_names{count} = 'Tension, Side';
                count = count + 1;
            elseif ID(j) == 2
                coreFun = T_bot;
                legend_names{count} = 'Tension, Bot';
                count = count + 1;
            elseif ID(j) == 3
                coreFun = T_bot;
                legend_names{count} = 'Tension, Enclosed';
                count = count + 1;  
            elseif ID(j) == 4
                coreFun = B_side;
                legend_names{count} = 'Bending, Side';
                count = count + 1;
            elseif ID(j) == 5
                coreFun = B_bot;
                legend_names{count} = 'Bending, Bot';
                count = count + 1;        
            elseif ID(j) == 6
                coreFun = @(x) a.*exp(-b.*(x./D))+c+(x./D).*d;
                legend_names{count} = 'Bending, Enclosed';
                count = count + 1;    
            elseif ID(j) == 7
                coreFun = ES_Side;
                legend_names{count} = 'Start side, grow ellip, H2';
                count = count + 1;   
            elseif ID(j) == 8
                coreFun = CS_Side;
                legend_names{count} = 'Start side, grow circ, H2M';
                count = count + 1;   
            elseif ID(j) == 9
                coreFun = CS_Bot;
                legend_names{count} = 'Start bot grow circ, H1';
                count = count + 1;   
            elseif ID(j) == 10
                coreFun = CS_Enc;
                legend_names{count} = 'Start enc, grow circ, H3';
                count = count + 1;   
            end

            for i = 2:length(crack_array)
                if crack_array(i)./D>1.7*10^-3
                    Kth=5;
                else 
                    Kth=0;
                end
                funEq = @(x) 1./...
                    (C.*...
                    ((load_array(z).*sqrt(pi.*x).*...
                    (coreFun(x)))-Kth).^m);
                
                Cycles_quadgk = quadgk(funEq, crack_array(i-1), crack_array(i));
                Cycles_Step = [Cycles_Step, Cycles_quadgk];
            end
            Cycles_Cum = [0,cumsum(Cycles_Step)];
            Max_Temp = Cycles_Cum(length(Cycles_Cum));
            Cycles_Max = [Cycles_Max, Max_Temp];

            loglog((Max_Temp),load_array(z),line_styles{j},'LineWidth',1.0)
            
            points(count2,:) = [(Max_Temp),load_array(z)];
            count2 = count2+1;
            % % Reinitialize
            Cycles_Cum = 0;
            Cycles_Step = [];
            hold on
        end
        if k==1 && z == 1
            leg = legend(legend_names,'Location','southwest');
        end
    end
end


grid on
xlabel('Number of Cycles to Failure, N_f','FontSize',13)
ylabel('Applied Load [MPa]','FontSize',15)
title('Stress-Life Simulation, \Delta K_{th} = 5MPa \surd{m}','FontSize',14)
% axis([7*10^4 3*10^7 40 110])
plotX2 = log(points(:,1));
plotY2 = log(points(:,2));
set(leg,'FontSize',13);xlabel('Number of Cycles','FontSize',13)
%axis([7*10^3 8*10^5 40 110])
axis([7*10^3 2*10^7 40 110])


% legend('DNV B1','DNV Studless', 'Location','southwest')
% axis([4*10^4 3*10^7 40 110])
% legend(legend_names,'Location','northwest')
% diff_percent_biggest = (max(Cycles_Max)-Cycles_Max)./max(Cycles_Max).*100


% % % DNV B1 DESIGN CURVE
% aD =(10^12.436);
% mDNV = 3.0;
% dnvStudless = @(x) (aD).*x.^(-mDNV);
% loglog(dnvStudless(load_array),load_array,'-r');
% hold on