%clear
%clc

core_path = 'D:/0_MASTER/ABAQUS/Evy_Crack/CSV/';
core_name = 'Chain_crack_length';
crack_length_short = [5:1:9];
crack_length_long = [10:2:38];
crack_length = [crack_length_short,crack_length_long];
%crack_length=crack_length_short;
%crack_length=crack_length_long;
%crack_length = [5,12,14]
plotCell = {};
hold on
grid on

Q = pi^2/4;
E = 210000;
v = 0.29;
S = 100;
kMax = 0;
kMin = 10000;
K_Bot = [];
d = 0.076;
for i = 1:1:length(crack_length)
    trueCrack = crack_length(i);
    legendName{i} = strcat(num2str(trueCrack),'mm, max depth');
    tempName = strcat(core_name,num2str(crack_length(i)));
    name = strcat(tempName,'.csv');
    path = strcat(core_path,name);
    
    
    count = 1;
    fid = fopen(path);
    while ~feof(fid)
        line = fgets(fid);
        plotData(count,:) = str2num(line);
        count = count + 1;
    end
    K = sqrt(plotData(1,:).*E./(1-v^2))*sqrt(0.001);
    ang = -plotData(2,:);
    plotCell{i*2} = ang;
    plotCell{i*2-1} = K;
       
    if min(K)<kMin
        kMin = min(K);
    end
    
    if max(K)>kMax
        kMax = max(K);
    end
    [kMaxVec(i), index] = max(K);
    angMax(i) = ang(index);
    normK = K./(S.*sqrt(pi.*(crack_length(i)/(1000))));
    %plot((ang),K);
    fclose(fid);
    clear plotData
    if crack_length(i)<24
         K_Bot = [K_Bot,K(1)];
    else
        K_Bot = [K_Bot,K(length(K))];
    end
   
end
clear plotData

normkMaxVec = kMaxVec./(S.*sqrt(pi.*(crack_length/(1000))));
normK_Bot = K_Bot./(S.*sqrt(pi.*(crack_length/(1000))));
%legend(legendName,'Location','northeastoutside')
%xlabel('Crack ang, \alpha, degrees')
ylabel('K_I [MPa\surd{mm}]');

plot(crack_length/76,normK_Bot,'-k*')
%plot(crack_length./76,K_Bot./(S.*sqrt(pi.*(crack_length(i)))),'*')
%legend(legendName,'Location','northeastoutside')

%axis([0 max(ang)+5 kMin kMax+kMax/25])
normCL = crack_length./76;
interpC_Len = normCL;
interpC = normK_Bot;
const = polyfit(normCL,normK_Bot,3);
funChainC = @(x) const(1).*x.^3+const(2).*x.^2+const(3).*x+const(4);
hold on
%plot(normCL,funChainC(normCL),'r--*')