%clear
%clc

core_path = 'D:/0_MASTER/ABAQUS/Evy_Crack_Start_C/CSV/';
core_name = 'j_bot_chain_all';
crack_length_short = [5:1:9];
crack_length_long = [10:2:38];
crack_length = [crack_length_short,crack_length_long];
hold on
grid on
E = 210000;
v = 0.29;
S = 100;
d = 0.076;
Q = pi^2/4;

name = strcat(core_name,'.csv');
path = strcat(core_path,name);


count = 1;
fid = fopen(path);
while ~feof(fid)
    line = fgets(fid);
    plotData(count,:) = str2num(line);
    count = count + 1;
end
K = sqrt(plotData.*E./(1-v.^2)).*sqrt(0.001);
K = K';
normK = K./(S.*sqrt(pi.*(crack_length)./(1000)));

fclose(fid);
clear plotDat
% 
% ylabel('K_I [MPa\surd{mm}]');
normCL = crack_length./76;
plot(normCL,normK,'-rs')

interpCS_Len = normCL;
interpCS = normK;

const = polyfit(normCL,normK,3);
funChainC = @(x) const(1).*x.^3+const(2).*x.^2+const(3).*x+const(4);
hold on
% plot(normCL,funChainC(normCL),'k-*')

title('Bounds for Crack Starting Circular')
xlabel('Normalized Crack Depth (a/D)')
ylabel('Normalized K, K_I/(S \cdot \surd{(\pi a)})')
leg = legend('Shin, a/b=0.6','Shin, a/b=1.0','From circular crack','Location','northwest');
set(leg,'FontSize',14)