%clear
clc

clear plotData

core_path = 'D:/0_MASTER/ABAQUS/Notches/SubMod/Notch_B_Enc/CSV/';
core_name = 'E_crack_length';
crack_length_B_E = [13,15:1:20];
plotCell = {};
hold on
grid on
E = 210000;
v = 0.29;
S = 100;
kMax = 0;
kMin = 10000;
K_Bot_B_E = [];
for i = 1:1:length(crack_length_B_E)
    trueCrack = crack_length_B_E(i)/10;
    legendName{i} = strcat(num2str(trueCrack),'mm, max depth');
    tempName = strcat(core_name,num2str(crack_length_B_E(i)));
    name = strcat(tempName,'_sub.csv');
    path = strcat(core_path,name);
    
    
    count = 1;
    fid = fopen(path);
    while ~feof(fid)
        line = fgets(fid);
        plotData(count,:) = str2num(line);
        count = count + 1;
    end
    K = sqrt(plotData(1,:).*E./(1-v^2));%*sqrt(0.001);
    ang = -plotData(2,:);
    plotCell{i*2} = ang;
    plotCell{i*2-1} = K;
       
    if min(K)<kMin
        kMin = min(K);
    end
    
    if max(K)>kMax
        kMax = max(K);
    end
    [kMaxVec_Enc(i), index] = max(K);
    angMax_Enc(i) = ang(index);
    Q = pi^2/4;
    normK = K./(S.*sqrt(pi.*trueCrack./1000));
    [ang,sortIndex] = sort(ang);
    sortK = K(sortIndex).*sqrt(0.001);
    normK_Bot_B_E = normK(sortIndex);
%     plot(ang*2/180,normK,'--s');
    fclose(fid);
    K_Bot_B_E = [K_Bot_B_E,sortK(1)];
    clear plotData
end
crack_length_B_E = crack_length_B_E./10;
legend(legendName,'Location','northeastoutside')
xlabel('Normalized Angle, (2\cdot \alpha)/ \pi')
ylabel('Normalized K_I (K_\alpha / K_{0})');
% axis([0 max(ang)+5 kMin kMax+kMax/25])

% plot(crack_length_S_E/10.0,K_Bot_B_E,'--sk')
% xlabel('Normalized Crack Depth, a/T')
% legend('Side','Bottom','Enclosed','Location','southeast')
