clear all
clc

coeffB = 1;% 0.85
coeffT = 1;% 3.35
S = 100;
T = 20;

fetchNotchData_Side_Sub
fetchNotchData_Side_B_Sub
fetchNotchData_Enc_Sub
fetchNotchData_Enc_B_Sub
fetchNotchData_Bot_Sub
fetchNotchData_Bot_B_Sub
d = 20;
bendingLength = {crack_length_B_S,crack_length_B_E,crack_length_B_B};
tensionLength = {crack_length_S,crack_length_E,crack_length_B};
bending = {K_Bot_B_S,K_Bot_B_E,K_Bot_B_B};
tension = {K_Bot_S,K_Bot_E,K_Bot_B};

% Normalized depth and load
% for i=1:length(bending)
%     bending{i} = bending{i}.*coeffB./(S.*sqrt(pi.*bendingLength{i}));
%     tension{i} = tension{i}.*coeffT./(S.*sqrt(pi.*tensionLength{i}));
%     bendingLength{i} = bendingLength{i}./d;
%     tensionLength{i} = tensionLength{i}./d;
% end

% Normalized depth, no coeff
for i=1:length(bending)
    bending{i} = bending{i}.*coeffB./(S.*sqrt(pi.*bendingLength{i}/1000)); % ./(S.*sqrt(pi.*bendingLength{i}))
    tension{i} = tension{i}.*coeffT./(S.*sqrt(pi.*tensionLength{i}/1000)); % ./(S.*sqrt(pi.*tensionLength{i}))
    bendingLength{i} = bendingLength{i}./d;
    tensionLength{i} = tensionLength{i}./d;
end

subplot(1,2,1)
plot(tensionLength{1}, tension{1},'-ob')
hold on
grid on
plot(tensionLength{2},tension{2},'-sk')
plot(tensionLength{3}+1/T,tension{3},'-+r')
% % % % TENSION
[a,ang,KC] = handbook_solution_tension([0:0.1:2.6],1,pi/2,T,100,T);
plot(a./d,KC./sqrt(Q),':k','LineWidth',1.2)

[a,ang,KE] = handbook_solution_tension([0:0.1:2.6],0.5,pi/2,T,100,T);
plot(a./d,KE./sqrt(Q),'-.k','LineWidth',1.2)
% % % % 
title('Normalized Stress Intensity Factor, Tension', 'FontSize',14)
ylabel('(K_I/(\sigma \surd(\pi a))]', 'FontSize',16);
xlabel('Normalized Distance from Surface, (a_s/T)', 'FontSize',14)
leg = legend('Side','Enclosed','Bottom','Raju, a/b=1','Raju, a/b=0.5','Location','northeast'); % , Bending
set(leg,'FontSize',15)
% axis([0.01 0.13 0.55 1.08])


% % % INTERPOLATION CRAP FOR TENSION
interpT_S = [tension{1},max(KE)./sqrt(Q)];
interpT_S_len = [tensionLength{1},max(a)./d];
interpT_B = [tension{3},max(KC)./sqrt(Q)];
interpT_B_len = [tensionLength{3},max(a)./d];
interpT_E = [tension{2},max(KC)./sqrt(Q)];
interpT_E_len = [tensionLength{2},max(a)./d];

subplot(1,2,2)
plot(bendingLength{1},bending{1},'--ob')
hold on
grid on 
plot(bendingLength{2}, bending{2},'--sk')
plot(bendingLength{3}+1/T, bending{3},'--+r')
% % % % BENDING
[a,ang,KC] = handbook_solution_bending([0:0.1:2.6],1,pi/2,T,100,T);
plot(a./d,KC./sqrt(Q),':k','LineWidth',1.2)

[a,ang,KE] = handbook_solution_bending([0:0.1:2.6],0.5,pi/2,T,100,T);
plot(a./d,KE./sqrt(Q),'-.k','LineWidth',1.2)
% % % % 
title('Normalized Stress Intensity Factor, Bending', 'FontSize',14)
ylabel('(K_I/(\sigma \surd(\pi a))]', 'FontSize',16);
xlabel('Normalized Distance from Surface,(a_s/T)', 'FontSize',14)
leg = legend('Side','Enclosed','Bottom','Raju, a/b=1','Raju, a/b=0.5','Location','northeast'); % , Bending
set(leg,'FontSize',15)

% % % INTERPOLATION CRAP FOR BENDING
interpB_S = [bending{1},min(KE)./sqrt(Q)];
interpB_S_len = [bendingLength{1},max(a)./d];
interpB_B = [bending{3},min(KC)./sqrt(Q)];
interpB_B_len = [bendingLength{3},max(a)./d];
interpB_E = [bending{2},min(KC)./sqrt(Q)];
interpB_E_len = [bendingLength{2},max(a)./d];
% axis([0.01 0.13 0.55 1.08])

% legend('Side, Tension','Enclosed, Tension','Bottom, Tension','Raju, a/b=0.5','Raju, a/b=1.0','Location','northeast')
% legend('Side, Bending','Enclosed, Bending','Bottom, Bending','Raju, a/b=0.5','Raju, a/b=1.0','Location','northeast')
% legend('Side, Bending','Enclosed, Bending','Bottom, Bending','Side, Tension','Enclosed, Tension','Bottom, Tension','Location','northwest')

%title('Adjusted for Crown Stress Situation', 'FontSize',14)
% ylabel('K_I [MPa\surd{mm}]');

% % % % Interpolation crap

