% clear all
% clc

coeffB = 0.8;% 0.85
coeffT = 3.5;% 3.35
S = 100;
T = 20;
a = [0:0.1:2];
Q = pi^2/4;

fetchNotchData_Side_Sub
fetchNotchData_Side_B_Sub
fetchNotchData_Enc_Sub
fetchNotchData_Enc_B_Sub
fetchNotchData_Bot_Sub
fetchNotchData_Bot_B_Sub
d = 76;
T = 76;
bendingLength = {crack_length_B_S,crack_length_B_E,crack_length_B_B};
tensionLength = {crack_length_S,crack_length_E,crack_length_B};
bending = {K_Bot_B_S,K_Bot_B_E,K_Bot_B_B};
tension = {K_Bot_S,K_Bot_E,K_Bot_B};

% Normalized depth and load
% for i=1:length(bending)
%     bending{i} = bending{i}.*coeffB./(S.*sqrt(pi.*bendingLength{i}));
%     tension{i} = tension{i}.*coeffT./(S.*sqrt(pi.*tensionLength{i}));
%     bendingLength{i} = bendingLength{i}./d;
%     tensionLength{i} = tensionLength{i}./d;
% end

% Normalized depth, no coeff
for i=1:length(bending)
    bending{i} = bending{i}./(S.*sqrt(pi.*bendingLength{i}/1000)); % ./(S.*sqrt(pi.*bendingLength{i}))
    tension{i} = tension{i}./(S.*sqrt(pi.*tensionLength{i}/1000)); % ./(S.*sqrt(pi.*tensionLength{i}))
    bendingLength{i} = bendingLength{i}./d;
    tensionLength{i} = tensionLength{i}./d;
end


summ{1} = bending{1}.*coeffB+tension{1}.*coeffT;
summ{2} = bending{2}.*coeffB+tension{2}.*coeffT;
summ{3} = bending{3}.*coeffB+tension{3}.*coeffT;
plot(bendingLength{1}, summ{1},'-ob')
plot(bendingLength{2}, summ{2},'-vk')
plot(bendingLength{3}, summ{3},'-+r')

[a,ang,K] = handbook_solution_tension(a,1,pi/2,T,100,T);
[a,ang,K_B] = handbook_solution_bending(a,1,pi/2,T,100,T);
% plot(a/T,(K./sqrt(Q).*coeffT+K_B./sqrt(Q).*coeffB),'-.k','LineWidth',1.2) % .*(S.*sqrt(pi.*a/1000))
F_sum_C = K./sqrt(Q).*coeffT+K_B./sqrt(Q).*coeffB;

[a,ang,K_B] = handbook_solution_bending(a,0.5,pi/2,T,100,T);
[a,ang,K] = handbook_solution_tension(a,0.5,pi/2,T,100,T);
% plot(a/T,(K./sqrt(Q).*coeffT+K_B./sqrt(Q).*coeffB),':k','LineWidth',1.5) % .*(S.*sqrt(pi.*a/1000))
F_sum_E = K./sqrt(Q).*coeffT+K_B./sqrt(Q).*coeffB;
title('Normalized Stress Intensity Factor, Combined', 'FontSize',14)
ylabel('(K_I/(\sigma \surd(\pi a))]', 'FontSize',16);
% xlabel('Normalized Crack Depth from Surface, a/T', 'FontSize',14)
xlabel('Normalized Crack Depth, (a/D)', 'FontSize',14)
% leg = legend('Side','Enclosed','Bottom','Raju, a/b=0.5','Raju, a/b=1.0','Location','northeast');
leg = legend('Constant a/b=1', 'Growing from a/b=1', 'Growing from a/b=0.5','Side Crack','Enc. Crack','Bot. Crack')
set(leg,'FontSize',15);
% axis([0 2.1 2.6 4.6])
% % % % POLYFIT LOLZ
% a = [0:0.01:2.1];
% const = polyfit(bendingLength{1},summ{1},3);
% funS = @(x) const(1).*x.^3+const(2).*x.^2+const(3).*x+const(4);
% plot(a,funS(a),'c')
% 
% a = [0:0.01:2.1];
% const = polyfit(bendingLength{3},summ{3},3);
% funB = @(x) const(1).*x.^3+const(2).*x.^2+const(3).*x+const(4);
% plot(a,funB(a),'--c')
% 
% b = [0.05:0.01:1.0];

% % % INTERP SUM
Sum_side = summ{1};
Sum_side_len = bendingLength{1};
Sum_bot = summ{3};
Sum_bot_len = bendingLength{3};
Sum_enc = summ{2};
Sum_enc_len = bendingLength{2};

%INTERP COLLECTIONS
% interpES_Tot_Side = [summ{1},interpES];
% interpES_Tot_Side_Len = [bendingLength{1},interpES_Len];
% 
% interpCS_Tot_Side = [summ{1},interpCS];
% interpCS_Tot_Side_Len = [bendingLength{1},interpCS_Len];
% 
% interpCS_Tot_Bot = [summ{3},interpCS];
% interpCS_Tot_Bot_Len = [bendingLength{3},interpCS_Len];
% 
% interpCS_Tot_Enc = [summ{2},interpCS];
% interpCS_Tot_Enc_Len = [bendingLength{2},interpCS_Len];


